#ifndef CMDHELPER_H
#define CMDHELPER_H

#include <QObject>
#include <QString>
class cmdHelper : public QObject
{
	Q_OBJECT
public:

	static cmdHelper* Instance()
	{
		static cmdHelper obj;
		return &obj;
	}
	bool getDiskSize(double& size);
	bool getDiskUsed(double& used);

	QString getLinuxVersion();
	QString getDCMTKVersion();

private:
	bool exec(const char* cmd, std::string& result);
	bool exec2(const char* cmd, std::string& result);
	explicit cmdHelper(QObject* parent = nullptr);
};

#endif // CMDHEPLER_H
